package com.myasto.views;


import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.widget.Toast;
import com.myasto.MainActivity;
import com.myasto.R;
import com.myasto.jsbridge.JsCallBack;
import roboguice.activity.RoboActivity;
import roboguice.inject.InjectView;

public class RatesView extends RoboActivity {

    @InjectView(R.id.webViewRates)
    WebView webViewRates;

    final Context context = this;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_rates);
        webViewRates.getSettings().setJavaScriptEnabled(true);
        setWebViewSettings();
        webViewRates.addJavascriptInterface(new JsCallBack(this), "jsCallBack");
        webViewRates.loadUrl("file:///android_asset/rates.html");

    }



    /* WebChromeClient must be set BEFORE calling loadUrl! */
    void setWebViewSettings() {
        webViewRates.setWebChromeClient(new WebChromeClient() {

            @Override
            public boolean onJsAlert(WebView view, String url, String message, final android.webkit.JsResult result)
            {
                new AlertDialog.Builder(context)
                        .setTitle("javaScript dialog")
                        .setMessage(message)
                        .setPositiveButton(android.R.string.ok,
                                new AlertDialog.OnClickListener() {
                                    public void onClick(DialogInterface dialog, int which) {
                                        result.confirm();
                                    }
                                })
                        .setCancelable(false)
                        .create()
                        .show();

                return true;
            };
        });

    }

    @Override
    public void onDestroy() {
        super.onDestroy();

    }

    public void setView(int val) {


            Class<?> cls = null;
            Intent intent = new Intent();
            if (val == 0) {
                Toast.makeText(this, "Home view called: " + val, 15).show();
                cls = MainActivity.class;
                intent.setClass(this.context, MainActivity.class);
                startActivity(intent);
                finish();
            }

            if (val == 1) {
                Toast.makeText(this, "News view called " + val, 15).show();
                cls = MainActivity.class;
                intent.setClass(this.context, MainActivity.class);
                startActivity(intent);
                finish();
            }


            if (val == 2) {
                Toast.makeText(this, "Visa view called: " + val, 15).show();
                intent.setClass(this.context, MainActivity.class);
                startActivity(intent);
                finish();
            }



        }

    }

