package developer;


import com.google.code.rome.android.repackaged.com.sun.syndication.feed.synd.*;
import com.google.code.rome.android.repackaged.com.sun.syndication.io.FeedException;
import com.google.code.rome.android.repackaged.com.sun.syndication.io.SyndFeedInput;
import com.google.code.rome.android.repackaged.com.sun.syndication.io.XmlReader;
import com.google.gson.JsonArray;
import com.myasto.jsbridge.JsCallBack;
import org.xml.sax.SAXException;

import javax.xml.parsers.ParserConfigurationException;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.List;

public class DeveloperTools {

   private static JsCallBack jCallBk;
   private static final String istanbulNewsAtom = "http://www.wnyc.org/feeds/tags/istanbul";

    public static void main(String[] args) throws ParserConfigurationException, IOException, SAXException {

        DeveloperTools tools = new DeveloperTools();
   //     tools.testJsonCallBack();
        tools.testAtomNews();

    }

     void testAtomNews() {

         try {
             URL feedUrl = new URL(istanbulNewsAtom);
             SyndFeedInput input = new SyndFeedInput();
             SyndFeed feed = input.build(new XmlReader(feedUrl));
             System.out.println("Feed Title: " + feed.getTitle());

             // Get the entry items...
             for (SyndEntry entry : (List<SyndEntry>) feed.getEntries()) {
                 System.out.println("Title: " + entry.getTitle());
                 System.out.println("Unique Identifier: " + entry.getUri());
                 System.out.println("Updated Date: " + entry.getUpdatedDate());

                 // Get the Links
                 for (SyndLinkImpl link : (List<SyndLinkImpl>) entry.getLinks()) {
                     System.out.println("Link: " + link.getHref());
                 }

                 // Get the Contents
                 for (SyndContentImpl content : (List<SyndContentImpl>) entry.getContents()) {
                     System.out.println("Content: " + content.getValue());
                 }

                 // Get the Categories
                 for (SyndCategoryImpl category : (List<SyndCategoryImpl>) entry.getCategories()) {
                     System.out.println("Category: " + category.getName());
                 }

                     System.out.println("Description(: " + entry.getDescription().getValue());

             }


         } catch (MalformedURLException e) {
             e.printStackTrace();
         } catch (FeedException e) {
             e.printStackTrace();
         } catch (IOException e) {
             e.printStackTrace();
         }


     }




    void testJsonCallBack() {

            jCallBk =  new JsCallBack();

            String xmlData = jCallBk.getXmlString();
            xmlData = xmlData.replace("<?xml version=\"1.0\" encoding=\"UTF-8\"?>","");
            JsonArray ratesArray  =   jCallBk.createJsonFromXml(xmlData);
            System.out.println(ratesArray);
        }


    }


